Skip to content

Get Futures Positions History

GET
/v1/positions/history

Returns a history of futures positions for an account, including update type (New, Increase, Reduce, Adl Reduce, Remove, Pnl), side, quantity, realised PnL, session average entry price, position ID, currency pair, updated timestamp, total session entry quantity, total session value, and average entry price.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

currencyPair*

The name of the perpetual futures contract (e.g., BTCUSDTPERP)

Type
string
Required

Responses

Futures positions history retrieved successfully

application/json
JSON
[
{
"updateType": "Pnl",
"currencyPair": "BTCUSDTPERP",
"side": "buy",
"quantity": "0.0013",
"realisedPnl": "15.22299935",
"totalSessionEntryQuantity": "0.0013",
"totalSessionValue": "54.2438",
"sessionAverageEntryPrice": "41726",
"averageEntryPrice": "30001",
"updatedAt": "2023-12-05T12:00:00.317Z",
"positionId": "237a9503-b32b-5f40-28a9-03fe7ad510d4"
}
]

Playground

Authorization
Variables
Key
Value

Samples